Bug 238842 - grub-install stopped by current targeted policy
grub-install stopped by current targeted policy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 07:23 EDT by Scott Tsai
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2007-05-03 07:23:27 EDT
Description of problem:
Making a bootable usb drive with grub-install is stopped with current targeted
policy.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.1-1.fc7

How reproducible:
always

Steps to Reproduce:
1. plug in a usb drive, say /dev/sdc, that gets mounted to /media/disk
2. grub-install --root-directory=/media/disk /dev/sdc

  
Actual results:
avc: denied { write } for comm="grub" dev=dm-0 egid=0 euid=0 exe="/sbin/grub"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="grub-install.log.R22033"
path="/tmp/grub-install.log.R22033" pid=22036
scontext=user_u:system_r:bootloader_t:s0 sgid=0
subj=user_u:system_r:bootloader_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:tmp_t:s0 tty=pts1 uid=0 

avc: denied { search } for comm="grub" dev=dm-0 egid=0 euid=0 exe="/sbin/grub"
exit=-2 fsgid=0 fsuid=0 gid=0 items=0 name="media" pid=22082
scontext=user_u:system_r:bootloader_t:s0 sgid=0
subj=user_u:system_r:bootloader_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:mnt_t:s0 tty=pts1 uid=0 

Expected results:
grub-install to succeed.

Additional info:
Comment 1 Daniel Walsh 2007-05-03 09:52:46 EDT
Remove transition from unconfined_t to bootloader_t.

Fixed in selinux-policy-2.6.3-1.fc7
Comment 2 Daniel Walsh 2007-08-22 10:14:08 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.